## dislocker 0.7.1

=== CMakeLists.txt ===
# Dislocker -- enables to read/write on BitLocker encrypted partitions under
# Linux
# Copyright (C) 2012-2013  Romain Coltel, Hervé Schauer Consultants
#
# This program is free software; you can redistribute it and/or
# modify it under the terms of the GNU General Public License
# as published by the Free Software Foundation; either version 2
# of the License, or (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301,
# USA.

cmake_minimum_required (VERSION 2.6)
project (dislocker C)

set (AUTHOR "Romain Coltel")

find_program (GIT_EXE NAMES git PATHS /usr/bin /usr/local/bin)

if(GIT_EXE)
	execute_process (
		COMMAND ${GIT_EXE} rev-parse --abbrev-ref HEAD
		WORKING_DIRECTORY ${PROJECT_SOURCE_DIR}
		OUTPUT_VARIABLE GIT_RELEASE_BRANCH
	)
	execute_process (
		COMMAND ${GIT_EXE} log -n 1 --pretty=format:%t
		WORKING_DIRECTORY ${PROJECT_SOURCE_DIR}
		OUTPUT_VARIABLE GIT_RELEASE_COMMIT
	)
	string (STRIP "${GIT_RELEASE_BRANCH}" GIT_RELEASE_BRANCH)
	string (STRIP "${GIT_RELEASE_COMMIT}" GIT_RELEASE_COMMIT)
	add_definitions (-DVERSION_DBG="${GIT_RELEASE_BRANCH}:${GIT_RELEASE_COMMIT}")
endif()


set (VERSION_MAJOR 0)
set (VERSION_MINOR 7)
set (VERSION_RELEASE 1)
set (VERSION "${VERSION_MAJOR}.${VERSION_MINOR}.${VERSION_RELEASE}")

add_subdirectory (${PROJECT_SOURCE_DIR}/src)

configure_file(
	"${CMAKE_CURRENT_SOURCE_DIR}/cmake/cmake_uninstall.cmake.in"
	"${CMAKE_CURRENT_BINARY_DIR}/cmake_uninstall.cmake"
	IMMEDIATE @ONLY
)
add_custom_target(uninstall
	COMMAND "${CMAKE_COMMAND}" -P "${CMAKE_CURRENT_BINARY_DIR}/cmake_uninstall.cmake"
)

=== src/CMakeLists.txt ===
# Dislocker -- enables to read/write on BitLocker encrypted partitions under
# Linux
# Copyright (C) 2012-2013  Romain Coltel, Hervé Schauer Consultants
#
# This program is free software; you can redistribute it and/or
# modify it under the terms of the GNU General Public License
# as published by the Free Software Foundation; either version 2
# of the License, or (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301,
# USA.

if("${CMAKE_SOURCE_DIR}" MATCHES "src/?$")
	message(FATAL_ERROR "\nPlease execute cmake from the directory above, not the src/ directory.")
	return()
endif()

add_definitions (-DPROGNAME="${PROJECT_NAME}")
add_definitions (-DAUTHOR="${AUTHOR}")
add_definitions (-DVERSION="${VERSION}")
add_definitions (-D_FILE_OFFSET_BITS=64)
add_definitions (-D__OS="${CMAKE_SYSTEM_NAME}")
string (TOUPPER "${CMAKE_SYSTEM_NAME}" SYSNAME)
add_definitions (-D__${SYSNAME})

if("${CMAKE_SIZEOF_VOID_P}" EQUAL 8)
	add_definitions (-D__ARCH="x86_64")
	add_definitions (-D__ARCH_X86_64)
else()
	add_definitions (-D__ARCH="x86")
	add_definitions (-D__ARCH_X86)
endif()

if( NOT CMAKE_CROSSCOMPILING )
	include_directories (SYSTEM /usr/local/include)
endif()
include_directories (${PROJECT_SOURCE_DIR}/include)

set (LIB pthread)
set (SOURCES
		dislocker.c common.c config.c
		xstd/xstdio.c xstd/xstdlib.c
		metadata/datums.c metadata/metadata.c metadata/vmk.c
		metadata/fvek.c metadata/extended_info.c
		metadata/guid.c metadata/print_metadata.c
		accesses/stretch_key.c accesses/accesses.c
		accesses/rp/recovery_password.c
		accesses/user_pass/user_pass.c accesses/bek/bekfile.c
		encryption/encommon.c encryption/decrypt.c encryption/encrypt.c
		encryption/diffuser.c encryption/crc32.c encryption/aes-xts.c
		ntfs/clock.c ntfs/encoding.c
		inouts/inouts.c inouts/prepare.c inouts/sectors.c
	)

if(NOT DEFINED WARN_FLAGS)
	set (WARN_FLAGS "-Wall -Wextra" CACHE STRING "" FORCE)
endif()
if(NOT DEFINED HARDEN_FLAGS)
	set (HARDEN_FLAGS "-fstack-protector -fstrict-aliasing -D_FORTIFY_SOURCE=2 -O1" CACHE STRING "" FORCE)
endif()

set (CMAKE_C_FLAGS "${CMAKE_C_FLAGS} -fPIC")
set (CMAKE_C_FLAGS "${CMAKE_C_FLAGS} ${WARN_FLAGS}")
set (CMAKE_C_FLAGS "${CMAKE_C_FLAGS} ${HARDEN_FLAGS}")

if(DEFINED CFLAGS)
	set (CMAKE_C_FLAGS "${CMAKE_C_FLAGS} ${CFLAGS}")
endif()
if(DEFINED RPM_OPT_FLAGS)
	set (CMAKE_C_FLAGS "${CMAKE_C_FLAGS} ${RPM_OPT_FLAGS}")
endif()

set (CMAKE_C_FLAGS_DEBUG "${CMAKE_C_FLAGS_DEBUG} -D DEBUG=${DEBUG} -D__DIS_CORE_DUMPS")


if("${CMAKE_SYSTEM_NAME}" STREQUAL "Darwin")
	# Don't use `-read_only_relocs' here as it seems to only work for 32 bits
	# binaries
	set (CMAKE_SHARED_LINKER_FLAGS "${CMAKE_SHARED_LINKER_FLAGS} -Wl,-bind_at_load")
	set (FUSE_LIB osxfuse_i64)
else()
	# Useless warnings when used within Darwin
	set (CMAKE_C_FLAGS "${CMAKE_C_FLAGS} -Wconversion")
	set (FUSE_LIB fuse)
	if("${CMAKE_SYSTEM_NAME}" STREQUAL "FreeBSD")
		link_directories ( ${LINK_DIRECTORIES} /usr/local/lib )
	endif()
endif()

if(${CMAKE_COMPILER_IS_GNUCC})
	set (CMAKE_C_FLAGS "${CMAKE_C_FLAGS} -Wl,-z,now -Wl,-z,relro")
elseif("${CMAKE_C_COMPILER_ID}" STREQUAL "Clang")
	set (CMAKE_C_FLAGS "${CMAKE_C_FLAGS} -Qunused-arguments")
else()
	message ("*** WARNING *** You're compiling with an untested compiler (${CMAKE_C_COMPILER_ID}), this mays result in unwanted behaviours.\n")
endif()
if(DEFINED LDFLAGS)
	set (CMAKE_C_FLAGS "${CMAKE_C_FLAGS} ${LDFLAGS}")
endif()
if(DEFINED RPM_LD_FLAGS)
	set (CMAKE_C_FLAGS "${CMAKE_C_FLAGS} ${RPM_LD_FLAGS}")
endif()


# Libraries
set (CMAKE_MODULE_PATH ${PROJECT_SOURCE_DIR}/cmake)

find_package (PolarSSL REQUIRED)
if(POLARSSL_FOUND  AND  POLARSSL_INCLUDE_DIRS  AND  POLARSSL_LIBRARIES)
	include_directories (${POLARSSL_INCLUDE_DIRS})
	set (LIB "${LIB} ${POLARSSL_LIBRARIES}")
	configure_file (${PROJECT_SOURCE_DIR}/include/dislocker/ssl_bindings.h.in ${PROJECT_SOURCE_DIR}/include/dislocker/ssl_bindings.h ESCAPE_QUOTES @ONLY)
else()
	return ()
endif()

find_package (Ruby)
if(RUBY_FOUND  AND  RUBY_INCLUDE_DIRS  AND  RUBY_LIBRARIES)
	include_directories (${RUBY_INCLUDE_DIRS})
	set (LIB "${LIB} ${RUBY_LIBRARIES}")
	add_definitions (-D_HAVE_RUBY=${RUBY_VERSION_STRING})
	set (SOURCES ${SOURCES} ruby.c)
endif()

find_package (FUSE)
if(FUSE_FOUND  AND  FUSE_INCLUDE_DIRS  AND  FUSE_LIBRARIES)
	include_directories (${FUSE_INCLUDE_DIRS})
	set (LIB "${LIB} ${FUSE_LIBRARIES}")
endif()

# Places
if(NOT DEFINED sharedir)
  set(sharedir ${CMAKE_INSTALL_PREFIX}/share)
endif()

if(NOT DEFINED mandir)
  set(mandir ${sharedir}/man)
endif()

if(NOT DEFINED LIB_INSTALL_DIR)
	if(NOT DEFINED libdir)
		if(IS_DIRECTORY "${CMAKE_INSTALL_PREFIX}/lib64")
			set(libdir "${CMAKE_INSTALL_PREFIX}/lib64")
		else()
			set(libdir "${CMAKE_INSTALL_PREFIX}/lib")
		endif()
	endif()
else()
	set(libdir ${LIB_INSTALL_DIR})
endif()

if(NOT DEFINED bindir)
	set(bindir "${CMAKE_INSTALL_PREFIX}/bin")
endif()

string (TOLOWER "${CMAKE_SYSTEM_NAME}" SYSNAME)
set (DIS_MAN ${PROJECT_SOURCE_DIR}/man/${SYSNAME})

# RPATH handling
if(POLICY CMP0042)
	cmake_policy (SET CMP0042 NEW)
endif()
set (CMAKE_SKIP_BUILD_RPATH FALSE)
set (CMAKE_BUILD_WITH_INSTALL_RPATH FALSE)
set (CMAKE_INSTALL_RPATH_USE_LINK_PATH TRUE)
list (FIND CMAKE_PLATFORM_IMPLICIT_LINK_DIRECTORIES "${libdir}" isSystemDir)
if("${isSystemDir}" STREQUAL "-1")
   set (CMAKE_INSTALL_RPATH "${libdir}")
endif()

# Targets
add_library (${PROJECT_NAME} SHARED ${SOURCES})
target_link_libraries (${PROJECT_NAME} ${LIB})
set_target_properties (${PROJECT_NAME} PROPERTIES VERSION "${VERSION}" SOVERSION "${VERSION_MAJOR}.${VERSION_MINOR}")
install (TARGETS ${PROJECT_NAME} LIBRARY DESTINATION "${libdir}")

if (${APPLE})
	set (BUNDLE_NAME ${PROJECT_NAME}_bundle)
	add_library (${BUNDLE_NAME} MODULE ${SOURCES})
	target_link_libraries (${BUNDLE_NAME} ${LIB})
	set_target_properties (${BUNDLE_NAME} PROPERTIES OUTPUT_NAME ${PROJECT_NAME} SUFFIX .bundle)
	install (TARGETS ${BUNDLE_NAME} DESTINATION "${libdir}")
endif()

set (CLEAN_FILES "")

set (BIN_FUSE ${PROJECT_NAME}-fuse)
add_executable (${BIN_FUSE} ${BIN_FUSE}.c)
target_link_libraries (${BIN_FUSE} ${FUSE_LIB} ${PROJECT_NAME})
set_target_properties (${BIN_FUSE} PROPERTIES COMPILE_DEFINITIONS FUSE_USE_VERSION=26)
set_target_properties (${BIN_FUSE} PROPERTIES LINK_FLAGS "-pie -fPIE")
add_custom_command (TARGET ${BIN_FUSE} POST_BUILD
	COMMAND mkdir -p ${CMAKE_BINARY_DIR}/man/
	COMMAND gzip -c ${DIS_MAN}/${BIN_FUSE}.1 > ${CMAKE_BINARY_DIR}/man/${BIN_FUSE}.1.gz
)
set (CLEAN_FILES ${CLEAN_FILES} ${CMAKE_BINARY_DIR}/man/${BIN_FUSE}.1.gz)
install (TARGETS ${BIN_FUSE} RUNTIME DESTINATION "${bindir}")
install (FILES ${CMAKE_BINARY_DIR}/man/${BIN_FUSE}.1.gz DESTINATION "${mandir}/man1")

set (BIN_FILE ${PROJECT_NAME}-file)
add_executable (${BIN_FILE} ${BIN_FILE}.c)
target_link_libraries (${BIN_FILE} ${PROJECT_NAME})
set_target_properties (${BIN_FILE} PROPERTIES LINK_FLAGS "-pie -fPIE")
add_custom_command (TARGET ${BIN_FILE} POST_BUILD
	COMMAND mkdir -p ${CMAKE_BINARY_DIR}/man/
	COMMAND gzip -c ${DIS_MAN}/${BIN_FILE}.1 > ${CMAKE_BINARY_DIR}/man/${BIN_FILE}.1.gz
)
set (CLEAN_FILES ${CLEAN_FILES} ${CMAKE_BINARY_DIR}/man/${BIN_FILE}.1.gz)
install (TARGETS ${BIN_FILE} RUNTIME DESTINATION "${bindir}")
install (FILES ${CMAKE_BINARY_DIR}/man/${BIN_FILE}.1.gz DESTINATION "${mandir}/man1")

set (BIN_METADATA ${PROJECT_NAME}-metadata)
add_executable (${BIN_METADATA} ${BIN_METADATA}.c)
target_link_libraries (${BIN_METADATA} ${PROJECT_NAME})
set_target_properties (${BIN_METADATA} PROPERTIES LINK_FLAGS "-pie -fPIE")
install (TARGETS ${BIN_METADATA} RUNTIME DESTINATION "${bindir}")

set (BIN_BEK ${PROJECT_NAME}-bek)
add_executable (${BIN_BEK} ${BIN_BEK}.c)
target_link_libraries (${BIN_BEK} ${PROJECT_NAME})
set_target_properties (${BIN_BEK} PROPERTIES LINK_FLAGS "-pie -fPIE")
install (TARGETS ${BIN_BEK} RUNTIME DESTINATION "${bindir}")

if(RUBY_FOUND)
	set (BIN_FIND ${PROJECT_NAME}-find)
	configure_file ("${CMAKE_CURRENT_SOURCE_DIR}/${BIN_FIND}.rb.in" "${CMAKE_CURRENT_SOURCE_DIR}/${BIN_FIND}.rb" ESCAPE_QUOTES @ONLY)
	add_custom_target(${BIN_FIND} ALL
		COMMAND cp "${CMAKE_CURRENT_SOURCE_DIR}/${BIN_FIND}.rb" "${CMAKE_CURRENT_BINARY_DIR}/${BIN_FIND}"
		COMMAND chmod u+x "${CMAKE_CURRENT_BINARY_DIR}/${BIN_FIND}"
		SOURCES "${CMAKE_CURRENT_SOURCE_DIR}/${BIN_FIND}.rb"
	)
	set (CLEAN_FILES ${CLEAN_FILES} ${CMAKE_CURRENT_BINARY_DIR}/${BIN_FIND})
	add_custom_command (TARGET ${BIN_FIND} POST_BUILD
		COMMAND mkdir -p ${CMAKE_BINARY_DIR}/man/
		COMMAND gzip -c ${DIS_MAN}/${BIN_FIND}.1 > ${CMAKE_BINARY_DIR}/man/${BIN_FIND}.1.gz
	)
	set (CLEAN_FILES ${CLEAN_FILES} ${CMAKE_BINARY_DIR}/man/${BIN_FIND}.1.gz)
	install (PROGRAMS ${CMAKE_CURRENT_BINARY_DIR}/${BIN_FIND} DESTINATION "${bindir}")
	install (FILES ${CMAKE_BINARY_DIR}/man/${BIN_FIND}.1.gz DESTINATION "${mandir}/man1")
else()
	set (BIN_FIND true)
endif()

install (CODE "execute_process (COMMAND ${CMAKE_COMMAND} -E create_symlink ${BIN_FUSE} \"\$ENV{DESTDIR}${bindir}/${PROJECT_NAME}\")")
install (CODE "execute_process (COMMAND ${CMAKE_COMMAND} -E create_symlink ${BIN_FUSE}.1.gz \"\$ENV{DESTDIR}${mandir}/man1/${PROJECT_NAME}.1.gz\")")

set_directory_properties(PROPERTIES ADDITIONAL_MAKE_CLEAN_FILES "${CLEAN_FILES}")

# Travis' test target
add_custom_target(travis-test
	COMMAND ${BIN_FUSE} -h
	COMMAND ${BIN_FILE} -h
	COMMAND ${BIN_METADATA} -h
	COMMAND ${BIN_BEK} -h
	COMMAND ${BIN_FIND} -h
	COMMAND man -w dislocker
)

## dislocker 0.6.1

=== debian/changelog ===
dislocker (0.6.1-6mx150+1) mx; urgency=medium

  * Rebuild for MX-15.

 -- Steven Pusser (Stevo) <maintainer@mepiscommunity.org>  Wed, 29 Jun 2016 15:10:55 -0700

dislocker (0.6.1-6) unstable; urgency=medium

  * Upload to unstable.

 -- Giovani Augusto Ferreira <giovani@riseup.net>  Sun, 19 Jun 2016 21:49:00 -0300

dislocker (0.6.1-5) experimental; urgency=medium

  * debian/libdislocker0.6.symbols:
      - Removed more symbols to fix compilation.

 -- Giovani Augusto Ferreira <giovani@riseup.net>  Sun, 01 May 2016 20:25:55 -0300

dislocker (0.6.1-4) experimental; urgency=medium

  * debian/libdislocker0.6.symbols:
      - Removed some symbols to fix compilation in s390x architecture.

 -- Giovani Augusto Ferreira <giovani@riseup.net>  Sun, 01 May 2016 17:48:55 -0300

dislocker (0.6.1-3) experimental; urgency=medium

  * debian/libdislocker0.6.symbols:
      - Removed some symbols to fix compilation with GCC 6 now.

 -- Giovani Augusto Ferreira <giovani@riseup.net>  Sun, 01 May 2016 14:04:29 -0300

dislocker (0.6.1-2) experimental; urgency=medium

  * debian/control:
      - Bumped Standards-Version to 3.9.8.
  * debian/libdislocker0.6.symbols:
      - Removed some symbols to fix compilation.

 -- Giovani Augusto Ferreira <giovani@riseup.net>  Sat, 30 Apr 2016 22:26:25 -0300

dislocker (0.6.1-1) experimental; urgency=medium

  * Initial release (Closes: #816847)

 -- Giovani Augusto Ferreira <giovani@riseup.net>  Sat, 12 Mar 2016 16:21:07 -0300

=== debian/control ===
Source: dislocker
Section: utils
Priority: optional
Maintainer: Steven Pusser (Stevo) <maintainer@mepiscommunity.org>
Bugs: mailto: maintainer@mepiscommunity.org
XSBC-Original-Maintainer: Debian Forensics <forensics-devel@lists.alioth.debian.org>
Uploaders: Giovani Augusto Ferreira <giovani@riseup.net>
Build-Depends: cmake,
               debhelper (>=9),
               libfuse-dev | libfuse-hurd-dev,
               libmbedtls-dev,
               ruby-dev
Standards-Version: 3.9.8
Homepage: https://github.com/Aorimn/dislocker
Vcs-Git: https://anonscm.debian.org/git/forensics/dislocker.git
Vcs-Browser: https://anonscm.debian.org/git/forensics/dislocker.git

Package: libdislocker0.6
Section: libs
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: read/write encrypted BitLocker volumes (shared library)
 Dislocker has been designed to read BitLocker encrypted partitions under
 a Linux system. The driver is used to read volumes encrypted in Windows system
 versions of Vista to 10, plus BitLocker-To-Go encrypted partitions--that's
 USB/FAT32 partitions.
 .
 The software works with a driver composed of a library, with multiple binaries
 using this library. Decrypting the partition, you have to give it a mount
 point where, once the keys are decrypted, a file named dislocker-file appears.
 This file is a virtual NTFS partition, so you can mount it as any NTFS
 partition and then read or write to it. Writing to the NTFS virtual file will
 change the underlying BitLocker partition content.
 .
 This package provides the runtime library.

Package: libdislocker0-dev
Architecture: any
Section: libdevel
Depends: libdislocker0.6 (= ${binary:Version}), ${misc:Depends}
Description: read/write encrypted BitLocker volumes (development files)
 Dislocker has been designed to read BitLocker encrypted partitions under
 a Linux system. The driver is used to read volumes encrypted in Windows system
 versions of Vista to 10, plus BitLocker-To-Go encrypted partitions--that's
 USB/FAT32 partitions.
 .
 The software works with a driver composed of a library, with multiple binaries
 using this library. Decrypting the partition, you have to give it a mount
 point where, once the keys are decrypted, a file named dislocker-file appears.
 This file is a virtual NTFS partition, so you can mount it as any NTFS
 partition and then read or write to it. Writing to the NTFS virtual file will
 change the underlying BitLocker partition content.
 .
 This package provides the development files.

Package: dislocker
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}, ruby
Description: read/write encrypted BitLocker volumes
 Dislocker has been designed to read BitLocker encrypted partitions under
 a Linux system. The driver is used to read volumes encrypted in Windows system
 versions of Vista to 10, plus BitLocker-To-Go encrypted partitions--that's
 USB/FAT32 partitions.
 .
 The software works with a driver composed of a library, with multiple binaries
 using this library. Decrypting the partition, you have to give it a mount
 point where, once the keys are decrypted, a file named dislocker-file appears.
 This file is a virtual NTFS partition, so you can mount it as any NTFS
 partition and then read or write to it. Writing to the NTFS virtual file will
 change the underlying BitLocker partition content.
 .
 This tool is useful in cryptography managing and forensics investigations.

## dislocker 0.7.1

=== debian/changelog ===
dislocker (0.7.1-5) unstable; urgency=medium

  [ Giovani Augusto Ferreira ]
  * Bumped DH level to 12
  * Bumped Standards version to 4.4.1
  * debian/control:
      - Added the field Rules-Requires-Root: binary-targets.
  * debian/copyright: Updated years and rights
  * debian/patches/*:
      - Added new patches to support Support Windows 10 1903 and
        fix build issues.Thanks to haobinnan <haobinnan@gmail.com>
        for the patches. (Closes: #944422)
      - Updated patch headers
  * debian/salsa-ci.yml: Allow reprotest to fail temporarily
  * debian/upstream/matadata: added upstream metadata file

  [ Samuel Henrique ]
  * Add salsa-ci.yml

 -- Giovani Augusto Ferreira <giovani@debian.org>  Thu, 14 Nov 2019 16:25:03 -0300

dislocker (0.7.1-4) unstable; urgency=medium

  [ Raphaël Hertzog ]
  * Update team maintainer address to Debian Security Tools
    <team+pkg-security@tracker.debian.org>
  * Update Vcs-Git and Vcs-Browser for the move to salsa.debian.org

  [ Hilko Bengen ]
  * Remove included FindRuby.cmake, so that up-to-date standard
    FindRuby.cmake is used (Closes: #895205)

  [ Giovani Augusto Ferreira ]
  * Bumped Standards-Version to 4.1.4
  * Bumped DH level to 11
  * Updated Debian copyright years
  * Added a head for the patch

 -- Giovani Augusto Ferreira <giovani@debian.org>  Wed, 16 May 2018 19:30:40 -0300

dislocker (0.7.1-3) unstable; urgency=medium

  * debian/control:
      - Updated the Replaces+Breaks fields on libdislocker0.7 to avoid
        fails in upgrade from previous version. (Closes: #874418)
      - Removed entry to the libdislocker0.6 transitional package,
        this is useless.

 -- Giovani Augusto Ferreira <giovani@debian.org>  Wed, 13 Sep 2017 00:10:02 -0300

dislocker (0.7.1-2) unstable; urgency=medium

  * debian/control:
      - Added a transition package for libdislocker0.6. (Closes: #873679)
      - Bumped Standards-Version to 4.0.1.

 -- Giovani Augusto Ferreira <giovani@debian.org>  Thu, 31 Aug 2017 00:14:16 -0300

dislocker (0.7.1-1) unstable; urgency=medium

  * New upstream release, fixing FTBFS with GCC-7 (Closes: #858754, #853374)
  * Updated my email address.
  * debian/control:
      - Bumped Standards-Version to 4.0.0.
  * debian/copyright: updated the copyright year in the packaging paragraph.
  * debian/patches/fix-spelling.patch:
      - Updated to new source code.

 -- Giovani Augusto Ferreira <giovani@debian.org>  Sun, 20 Aug 2017 22:40:11 -0300

dislocker (0.6.1-7) unstable; urgency=medium

  * debian/libdislocker0.6.links:
      - Added the entry for the usr/lib/libdislocker.so temporarily
        to fix library call. (See: #840489)
  * debian/rules: added override_dh_makeshlibs to provide the right package
      version to dpkg-gensymbols.

 -- Giovani Augusto Ferreira <giovani@riseup.net>  Sat, 17 Dec 2016 11:24:31 -0200

=== debian/control ===
Source: dislocker
Section: utils
Priority: optional
Maintainer: Debian Security Tools <team+pkg-security@tracker.debian.org>
Uploaders: Giovani Augusto Ferreira <giovani@debian.org>
Build-Depends: cmake,
               debhelper-compat (=12),
               libfuse-dev | libfuse-hurd-dev,
               libmbedtls-dev,
               ruby-dev
Standards-Version: 4.4.1
Rules-Requires-Root: binary-targets
Homepage: https://github.com/Aorimn/dislocker
Vcs-Git: https://salsa.debian.org/pkg-security-team/dislocker.git
Vcs-Browser: https://salsa.debian.org/pkg-security-team/dislocker

Package: libdislocker0.7
Section: libs
Architecture: any
Replaces: libdislocker0.6 (<< 0.7~)
Breaks: libdislocker0.6 (<< 0.7~)
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: read/write encrypted BitLocker volumes (shared library)
 Dislocker has been designed to read BitLocker encrypted partitions under
 a Linux system. The driver used to read volumes encrypted in Windows system
 versions of the Vista to 10 and BitLocker-To-Go encrypted partitions,that's
 USB/FAT32 partitions.
 .
 The software works with driver composed of a library, with multiple binaries
 using this library. Decrypting the partition, you have to give it a mount
 point where, once keys are decrypted, a file named dislocker-file appears.
 This file is a virtual NTFS partition, so you can mount it as any NTFS
 partition and then read from or write to it. Writing to the NTFS virtual
 file will change the underlying BitLocker partition content.
 .
 This package provides the runtime library.

Package: libdislocker0-dev
Architecture: any
Section: libdevel
Depends: libdislocker0.7 (= ${binary:Version}), ${misc:Depends}
Description: read/write encrypted BitLocker volumes (development files)
 Dislocker has been designed to read BitLocker encrypted partitions under
 a Linux system. The driver used to read volumes encrypted in Windows system
 versions of the Vista to 10 and BitLocker-To-Go encrypted partitions,that's
 USB/FAT32 partitions.
 .
 The software works with driver composed of a library, with multiple binaries
 using this library. Decrypting the partition, you have to give it a mount
 point where, once keys are decrypted, a file named dislocker-file appears.
 This file is a virtual NTFS partition, so you can mount it as any NTFS
 partition and then read from or write to it. Writing to the NTFS virtual
 file will change the underlying BitLocker partition content.
 .
 This package provides the development files.

Package: dislocker
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}, ruby
Description: read/write encrypted BitLocker volumes
 Dislocker has been designed to read BitLocker encrypted partitions under
 a Linux system. The driver used to read volumes encrypted in Windows system
 versions of the Vista to 10 and BitLocker-To-Go encrypted partitions,that's
 USB/FAT32 partitions.
 .
 The software works with driver composed of a library, with multiple binaries
 using this library. Decrypting the partition, you have to give it a mount
 point where, once keys are decrypted, a file named dislocker-file appears.
 This file is a virtual NTFS partition, so you can mount it as any NTFS
 partition and then read from or write to it. Writing to the NTFS virtual
 file will change the underlying BitLocker partition content.
 .
 This tool is useful in cryptography managing and forensics investigations.

=== debian/rules ===
#!/usr/bin/make -f
#export DH_VERBOSE = 1


DESTDIRBIN=$(CURDIR)/debian/dislocker
DESTDIRLIB=$(CURDIR)/debian/libdislocker0.7
TEMPDEB=$(CURDIR)/debian/tmp

export PVER=$(shell dpkg-parsechangelog --show-field version | cut -d"-" -f1)

%:
	dh $@ --buildsystem=cmake --sourcedirectory=. --builddirectory=.

override_dh_install-arch:
	dh_install
	cp $(TEMPDEB)/usr/lib/libdislocker.so.0.7.1 \
	   $(DESTDIRLIB)/usr/lib/
	cp -r $(TEMPDEB)/usr/bin $(DESTDIRBIN)/usr/
	cp -r $(TEMPDEB)/usr/share $(DESTDIRBIN)/usr/

override_dh_makeshlibs:
	dh_makeshlibs -- -v$(PVER)

override_dh_auto_clean:
	dh_auto_clean
	rm -rf CMakeFiles src/CMakeFiles
	find $(CURDIR)/man -name '*gz' -exec rm -f {} \;

=== debian/watch ===
version=4
https://github.com/Aorimn/dislocker/releases .*/v?(\d\S*)\.tar\.(?:bz2|gz|xz)

## dislocker 0.7.3

=== CMakeLists.txt ===
--- 
+++ 
@@ -43,7 +43,7 @@
 
 set (VERSION_MAJOR 0)
 set (VERSION_MINOR 7)
-set (VERSION_RELEASE 1)
+set (VERSION_RELEASE 2)
 set (VERSION "${VERSION_MAJOR}.${VERSION_MINOR}.${VERSION_RELEASE}")
 
 add_subdirectory (${PROJECT_SOURCE_DIR}/src)

=== src/CMakeLists.txt ===
--- 
+++ 
@@ -17,9 +17,17 @@
 # Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301,
 # USA.
 
+set(_Ruby_DEBUG_OUTPUT ON)
+
 if("${CMAKE_SOURCE_DIR}" MATCHES "src/?$")
 	message(FATAL_ERROR "\nPlease execute cmake from the directory above, not the src/ directory.")
 	return()
+endif()
+
+# On OSX, frameworks are found before installed libraries (cf. https://gitlab.kitware.com/cmake/cmake/-/issues/16427)
+if("${CMAKE_SYSTEM_NAME}" STREQUAL "Darwin")
+	set(CMAKE_FIND_FRAMEWORK Last)
+	message(STATUS "CMAKE_FIND_FRAMEWORK='${CMAKE_FIND_FRAMEWORK}'")
 endif()
 
 add_definitions (-DPROGNAME="${PROJECT_NAME}")
@@ -115,16 +123,16 @@
 find_package (PolarSSL REQUIRED)
 if(POLARSSL_FOUND  AND  POLARSSL_INCLUDE_DIRS  AND  POLARSSL_LIBRARIES)
 	include_directories (${POLARSSL_INCLUDE_DIRS})
-	set (LIB "${LIB} ${POLARSSL_LIBRARIES}")
+	set (LIB ${LIB} ${POLARSSL_LIBRARIES})
 	configure_file (${PROJECT_SOURCE_DIR}/include/dislocker/ssl_bindings.h.in ${PROJECT_SOURCE_DIR}/include/dislocker/ssl_bindings.h ESCAPE_QUOTES @ONLY)
 else()
 	return ()
 endif()
 
 find_package (Ruby)
-if(RUBY_FOUND  AND  RUBY_INCLUDE_DIRS  AND  RUBY_LIBRARIES)
+if(RUBY_FOUND  AND  RUBY_INCLUDE_DIRS  AND  RUBY_LIBRARY)
 	include_directories (${RUBY_INCLUDE_DIRS})
-	set (LIB "${LIB} ${RUBY_LIBRARIES}")
+	set (LIB ${LIB} ${RUBY_LIBRARY})
 	add_definitions (-D_HAVE_RUBY=${RUBY_VERSION_STRING})
 	set (SOURCES ${SOURCES} ruby.c)
 endif()
@@ -132,7 +140,7 @@
 find_package (FUSE)
 if(FUSE_FOUND  AND  FUSE_INCLUDE_DIRS  AND  FUSE_LIBRARIES)
 	include_directories (${FUSE_INCLUDE_DIRS})
-	set (LIB "${LIB} ${FUSE_LIBRARIES}")
+	set (LIB ${LIB} ${FUSE_LIBRARIES})
 endif()
 
 # Places

=== src/accesses/bek/Makefile ===
PROGNAME	=	read_bekfile
AUTHOR		=	\"Romain Coltel\"
ARCH		=	$(shell uname -m)
OS		=	$(shell uname -s)
# DEBUG		=	1

ifeq ($(OS), FreeBSD)
MAKE		=	gmake
else
MAKE		=	make
endif

CC		=	cc
DEFINES		=	-DPROGNAME=\"$(PROGNAME)\"
INC		=	-I/usr/include -I../..
CHARDEN		=	-fstack-protector -fPIC -D_FORTIFY_SOURCE=2 -O1
LHARDEN		=	-pie -fPIE -Wl,-z,relro -Wl,-z,now
WFLAGS		=	-Wall -Werror -Wextra
CFLAGS		=	$(WFLAGS) $(DEFINES) $(INC) $(CHARDEN)
SOURCES		=	main.c read_bekfile.c
OBJECTS		=	$(SOURCES:.c=.o)
override LDFLAGS    +=	$(LIB) $(LHARDEN)
BIN		=	$(PROGNAME)

EXT_OBJ		=	../../common.o ../../metadata/datums.o ../../metadata/print_metadata.o \
			../../metadata/extended_info.o ../../metadata/vmk.o \
			../../ntfs/guid.o ../../ntfs/clock.o ../../ntfs/encoding.o \
			../../xstd/xstdio.o ../../xstd/xstdlib.o



# For MacOSX users
ifeq ($(OS), Darwin)
DEFINES		+=	-D__DARWIN
else
# Useless warnings when used within Darwin
WFLAGS		+=	-Wconversion
endif


ifdef DEBUG
DBGFLAGS	=	-ggdb -D DEBUG=$(DEBUG)
CFLAGS		+=	$(DBGFLAGS)
endif


export

.PHONY : all $(BIN) library clean

.c.o :
	$(CC) $(CFLAGS) -c -o $@ $<

all : $(BIN)

$(BIN) : $(OBJECTS)
	@$(MAKE) DEBUG=$(DEBUG) -C ../../ common
	$(CC) $(CFLAGS) -o $@ $^ $(EXT_OBJ) $(LDFLAGS)

library : read_bekfile.o

clean :
	@$(MAKE) -C ../../ clean
	rm -rf -- $(BIN) *.o *~ *.swp *.gcno *.gcda *.gcov

=== src/accesses/user_pass/Makefile ===
PROGNAME	=	user_pass
AUTHOR		=	\"Romain Coltel\"
ARCH		=	$(shell uname -m)
OS		=	$(shell uname -s)
# DEBUG		=	1

ifeq ($(OS), FreeBSD)
MAKE		=	gmake
else
MAKE		=	make
endif

CC		=	cc
DEFINES		=	-DPROGNAME=\"$(PROGNAME)\" -D_FILE_OFFSET_BITS=64
INC		=	-I/usr/include -I../../
CHARDEN		=	-fstack-protector -fPIC -D_FORTIFY_SOURCE=2 -O1
LHARDEN		=	-pie -fPIE -Wl,-z,relro -Wl,-z,now
WFLAGS		=	-Wall -Werror -Wextra
CFLAGS		=	$(WFLAGS) $(DEFINES) $(INC) $(CHARDEN)
override LDFLAGS    +=	$(LIB) $(LHARDEN) -lpolarssl
MAIN_OBJECT	=	
SOURCES		=	user_pass.c ../stretch_key.c
OBJECTS		=	$(SOURCES:.c=.o) ../stretch_key.o \
			../../xstd/xstdio.o ../../xstd/xstdlib.o \
			../../ntfs/encoding.o
BIN		=	$(PROGNAME)


# For MacOSX users
ifeq ($(OS), Darwin)
DEFINES		+=	-D__DARWIN
else
# Useless warnings when used within Darwin
WFLAGS		+=	-Wconversion
endif


ifdef DEBUG
DBGFLAGS	=	-ggdb -D DEBUG=$(DEBUG)
CFLAGS		+=	$(DBGFLAGS)
endif


export

.PHONY : all library $(BIN) clean

.c.o :
	$(CC) $(CFLAGS) -c -o $@ $<

all : MAIN_OBJECT = main.o
all : main.o
all : $(BIN)

check : clean
check : MAIN_OBJECT = check_user_pass.o
check : check_user_pass.o
check : DEFINES += -D__CK_DOING_TESTS
check : CFLAGS  += -fprofile-arcs -ftest-coverage
check : LDFLAGS += -lcheck
check : do_check

do_check : $(BIN)
	./$(BIN)
	gcov $(BIN).c

$(BIN) : $(OBJECTS)
	@$(MAKE) DEBUG=$(DEBUG) -C ../../ common
	$(CC) $(CFLAGS) -o $@ $(MAIN_OBJECT) $^ ../../common.o $(LDFLAGS)

library : user_pass.o

clean :
	@$(MAKE) -C ../../ clean
	rm -rf -- $(BIN) *.o *~ *.swp *.gcno *.gcda *.gcov

=== debian/changelog ===
dislocker (0.7.3-2~mx17+1) mx; urgency=medium

  * Rebuild for MX Linux.

 -- Steven Pusser <stevep@mxlinux.org>  Thu, 20 May 2021 11:55:23 -0700

dislocker (0.7.3-2) unstable; urgency=medium

  * debian/tests/*: created to provide trivial tests.

 -- Giovani Augusto Ferreira <giovani@debian.org>  Fri, 29 Jan 2021 15:04:58 -0300

dislocker (0.7.3-1) experimental; urgency=medium

  [ Debian Janitor ]
  * Set upstream metadata fields:
      Bug-Database, Bug-Submit, Repository, Repository-Browse.
  * Update standards version to 4.5.0, no changes needed.
  * Apply multi-arch hints. + libdislocker0-dev: Add Multi-Arch: same.

  [ Giovani Augusto Ferreira ]
  * New upstream version 0.7.3
  * Bumped DH level to 13.
  * Bumped standards version to 4.5.1, no changes needed.
  * Refresh patches: removed patches that are now in upstream release.
  * debian/control:
      - Fixed typo and updated long description.
      - Moved Ruby to Recommends. (Closes: #977995)
      - Set Multi-Arch into libdislocker0-dev as foreign.
  * debian/copyright: updated packaging years.
  * debian/libdislocker0.7.symbols: updated to new upstream version.
  * debian/rules: updated override to move files.
  * run wrap-and-sort

  [ Samuel Henrique ]
  * Configure git-buildpackage for Debian

 -- Giovani Augusto Ferreira <giovani@debian.org>  Fri, 29 Jan 2021 13:14:19 -0300

=== debian/control ===
--- 
+++ 
@@ -1,14 +1,15 @@
 Source: dislocker
 Section: utils
 Priority: optional
-Maintainer: Debian Security Tools <team+pkg-security@tracker.debian.org>
+Maintainer: Steven Pusser <stevep@mxlinux.org>
+XSBC-Original-Maintainer: Debian Security Tools <team+pkg-security@tracker.debian.org>
 Uploaders: Giovani Augusto Ferreira <giovani@debian.org>
 Build-Depends: cmake,
                debhelper-compat (=12),
                libfuse-dev | libfuse-hurd-dev,
                libmbedtls-dev,
                ruby-dev
-Standards-Version: 4.4.1
+Standards-Version: 4.5.1
 Rules-Requires-Root: binary-targets
 Homepage: https://github.com/Aorimn/dislocker
 Vcs-Git: https://salsa.debian.org/pkg-security-team/dislocker.git
@@ -23,7 +24,7 @@
 Description: read/write encrypted BitLocker volumes (shared library)
  Dislocker has been designed to read BitLocker encrypted partitions under
  a Linux system. The driver used to read volumes encrypted in Windows system
- versions of the Vista to 10 and BitLocker-To-Go encrypted partitions,that's
+ versions of the Vista to 10 and BitLocker-To-Go encrypted partitions, that's
  USB/FAT32 partitions.
  .
  The software works with driver composed of a library, with multiple binaries
@@ -39,10 +40,11 @@
 Architecture: any
 Section: libdevel
 Depends: libdislocker0.7 (= ${binary:Version}), ${misc:Depends}
+Multi-Arch: foreign
 Description: read/write encrypted BitLocker volumes (development files)
  Dislocker has been designed to read BitLocker encrypted partitions under
  a Linux system. The driver used to read volumes encrypted in Windows system
- versions of the Vista to 10 and BitLocker-To-Go encrypted partitions,that's
+ versions of the Vista to 10 and BitLocker-To-Go encrypted partitions, that's
  USB/FAT32 partitions.
  .
  The software works with driver composed of a library, with multiple binaries
@@ -56,11 +58,12 @@
 
 Package: dislocker
 Architecture: any
-Depends: ${misc:Depends}, ${shlibs:Depends}, ruby
+Depends: ${misc:Depends}, ${shlibs:Depends}
+Recommends: ruby
 Description: read/write encrypted BitLocker volumes
  Dislocker has been designed to read BitLocker encrypted partitions under
  a Linux system. The driver used to read volumes encrypted in Windows system
- versions of the Vista to 10 and BitLocker-To-Go encrypted partitions,that's
+ versions of the Vista to 10 and BitLocker-To-Go encrypted partitions, that's
  USB/FAT32 partitions.
  .
  The software works with driver composed of a library, with multiple binaries
@@ -68,6 +71,7 @@
  point where, once keys are decrypted, a file named dislocker-file appears.
  This file is a virtual NTFS partition, so you can mount it as any NTFS
  partition and then read from or write to it. Writing to the NTFS virtual
- file will change the underlying BitLocker partition content.
+ file will change the underlying BitLocker partition content. To use
+ dislocker-find Ruby is required.
  .
  This tool is useful in cryptography managing and forensics investigations.

=== debian/rules ===
--- 
+++ 
@@ -13,10 +13,10 @@
 
 override_dh_install-arch:
 	dh_install
-	cp $(TEMPDEB)/usr/lib/libdislocker.so.0.7.1 \
+	mv $(TEMPDEB)/usr/lib/libdislocker* \
 	   $(DESTDIRLIB)/usr/lib/
-	cp -r $(TEMPDEB)/usr/bin $(DESTDIRBIN)/usr/
-	cp -r $(TEMPDEB)/usr/share $(DESTDIRBIN)/usr/
+	mv $(TEMPDEB)/usr/bin $(DESTDIRBIN)/usr/
+	mv $(TEMPDEB)/usr/share $(DESTDIRBIN)/usr/
 
 override_dh_makeshlibs:
 	dh_makeshlibs -- -v$(PVER)
@@ -25,3 +25,6 @@
 	dh_auto_clean
 	rm -rf CMakeFiles src/CMakeFiles
 	find $(CURDIR)/man -name '*gz' -exec rm -f {} \;
+
+override_dh_strip:
+	dh_strip --no-automatic-dbgsym

=== debian/tests/control ===
Test-Command: dislocker-fuse -h 2>&1 | egrep -i dislocker
Restrictions: superficial

## dislocker 0.7.3%2Bgit20240607

=== debian/changelog ===
dislocker (0.7.3+git20240607-3~mx21+1) mx; urgency=medium

  * Rebuild for MX Linux.
  * Revert renaming libraries for 64-bit time_t transition.

 -- Steven Pusser <stevep@mxlinux.org>  Thu, 31 Jul 2025 12:00:06 -0700

dislocker (0.7.3+git20240607-3) unstable; urgency=medium

  * Team upload.
  * d/p/*:
    - wrong-libdir.patch: Remove duplicated phrase from description
    - Add patch to always pick the Linux-specific manpage sources
      (Closes: #873530).
    - Add patch fixing use of File.exists removed with Ruby 3.2.0.
    - Add patch correcting detection of PolarSSL version (Closes: #1087365).
    - Add patch updating to fuse3 (Closes: #1084457).
  * d/t/control: Add superficial test for dislocker-find to check Ruby code.
  * d/control, Build-Depends:
    - Drop non-existent package libfuse-hurd-dev.
    - Update libfuse-dev to libfuse3-dev.
  * d/copyright: Update copyright years where appropriate.
  * d/libdislocker0.7t64.lintian-overrides: Removed, not needed anymore.
  * d/salsa-ci-yml:
    - Disallow reprotest failures.
    - Add variable SALSA_CI_DISABLE_BUILD_PACKAGE_ALL.

 -- Sven Geuer <sge@debian.org>  Tue, 11 Feb 2025 16:13:38 +0100

dislocker (0.7.3+git20240607-2) unstable; urgency=medium

  * Team upload.
  * Make sure the dislocker package requires its library of the same version.
  * d/changelog: remove trailing whitespace in previous changelog entry.

 -- Sven Geuer <sge@debian.org>  Thu, 26 Sep 2024 15:22:05 +0200

dislocker (0.7.3+git20240607-1) unstable; urgency=medium

  * Team upload.
  * d/watch: Update watch file to look for tags instead of releases. Upstream
    does not provide releases.
  * New upstream snapshot 0.7.3+git20240607 (Closes: #1074631).
  * d/p/*:
    - Refresh fix-spelling.patch and wrong-libdir.patch.
    - Drop fix-lib-path.patch. It was missing from d/p/series and is
      superseded by wrong-libdir.patch.
    - Drop fix-ruby3.0.patch, applied upstream.
  * Add patch to correct the name of the shared library and the version
    reported by dislocker.
  * d/libdislocker0.7t64.links: Let the links point to the corrected shared
    library name.
  * d/libdislocker0.7t64.symbols: Add a new symbol and update a changed one.
  * d/control:
    - Add new dependency pkgconf to Build-Depends.
    - Bump Standards-Version to 4.7.0.
  * d/t/control: Extend test to show more details and to check the reported
    version.
  * d/copyright: Add missing copyright holders.

 -- Sven Geuer <sge@debian.org>  Fri, 06 Sep 2024 22:54:46 +0200

dislocker (0.7.3-3.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Rename libraries for 64-bit time_t transition.

 -- Michael Hudson-Doyle <mwhudson@debian.org>  Wed, 28 Feb 2024 21:32:10 +0000

dislocker (0.7.3-3) unstable; urgency=medium

  * Team upload.
  * debian/patches/wrong-libdir.patch: created to fix a FTBFS on a
    build environment that's usrmerge'd. Thanks to Steve Langasek
    <steve.langasek@canonical.com>. (Closes: #1017937)

 -- Joao Eriberto Mota Filho <eriberto@debian.org>  Mon, 27 Feb 2023 14:51:20 -0300

dislocker (0.7.3-2.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Apply upstream patch to fix build against ruby3.0 (Closes: #1001217)

 -- Antonio Terceiro <terceiro@debian.org>  Sat, 26 Feb 2022 12:29:12 -0300

=== debian/tests/control ===
Test-Command: dislocker-fuse -h 2>&1 && { dislocker-fuse -h 2>&1 | grep "^dislocker by Romain Coltel, v$(grep -m1 -o -E '[0-9]+(\.[0-9]+)+' debian/changelog)"; }
Restrictions: superficial

Test-Command: dislocker-find 2>&1
Restrictions: superficial

## dislocker 0.7.3%2Bgit20250907

=== debian/rules ===
--- 
+++ 
@@ -3,7 +3,7 @@
 
 
 DESTDIRBIN=$(CURDIR)/debian/dislocker
-DESTDIRLIB=$(CURDIR)/debian/libdislocker0.7
+DESTDIRLIB=$(CURDIR)/debian/libdislocker0.7t64
 TEMPDEB=$(CURDIR)/debian/tmp
 
 export PVER=$(shell dpkg-parsechangelog --show-field version | cut -d"-" -f1)
@@ -20,11 +20,3 @@
 
 override_dh_makeshlibs:
 	dh_makeshlibs -- -v$(PVER)
-
-override_dh_auto_clean:
-	dh_auto_clean
-	rm -rf CMakeFiles src/CMakeFiles
-	find $(CURDIR)/man -name '*gz' -exec rm -f {} \;
-
-override_dh_strip:
-	dh_strip --no-automatic-dbgsym

## dislocker 0.7.3+git20240607

=== src/CMakeLists.txt ===
--- 
+++ 
@@ -17,8 +17,6 @@
 # Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301,
 # USA.
 
-set(_Ruby_DEBUG_OUTPUT ON)
-
 if("${CMAKE_SOURCE_DIR}" MATCHES "src/?$")
 	message(FATAL_ERROR "\nPlease execute cmake from the directory above, not the src/ directory.")
 	return()
@@ -92,11 +90,9 @@
 	# Don't use `-read_only_relocs' here as it seems to only work for 32 bits
 	# binaries
 	set (CMAKE_SHARED_LINKER_FLAGS "${CMAKE_SHARED_LINKER_FLAGS} -Wl,-bind_at_load")
-	set (FUSE_LIB osxfuse_i64)
 else()
 	# Useless warnings when used within Darwin
 	set (CMAKE_C_FLAGS "${CMAKE_C_FLAGS} -Wconversion")
-	set (FUSE_LIB fuse)
 	if("${CMAKE_SYSTEM_NAME}" STREQUAL "FreeBSD")
 		link_directories ( ${LINK_DIRECTORIES} /usr/local/lib )
 	endif()
@@ -129,18 +125,42 @@
 	return ()
 endif()
 
-find_package (Ruby)
-if(RUBY_FOUND  AND  RUBY_INCLUDE_DIRS  AND  RUBY_LIBRARY)
-	include_directories (${RUBY_INCLUDE_DIRS})
-	set (LIB ${LIB} ${RUBY_LIBRARY})
-	add_definitions (-D_HAVE_RUBY=${RUBY_VERSION_STRING})
-	set (SOURCES ${SOURCES} ruby.c)
-endif()
-
-find_package (FUSE)
-if(FUSE_FOUND  AND  FUSE_INCLUDE_DIRS  AND  FUSE_LIBRARIES)
-	include_directories (${FUSE_INCLUDE_DIRS})
-	set (LIB ${LIB} ${FUSE_LIBRARIES})
+# Ruby bindings
+set(WITH_RUBY "AUTO" CACHE STRING "Enable Ruby bindings. Valid values are ON, OFF, or AUTO")
+if (NOT "${WITH_RUBY}" STREQUAL "OFF")
+	set(_Ruby_DEBUG_OUTPUT ON)
+	find_package (Ruby)
+	if(RUBY_FOUND  AND  RUBY_INCLUDE_DIRS  AND  RUBY_LIBRARY)
+		include_directories(${RUBY_INCLUDE_DIRS})
+		set(LIB ${LIB} ${RUBY_LIBRARY})
+		add_definitions(-D_HAVE_RUBY=${RUBY_VERSION_STRING})
+		set(SOURCES ${SOURCES} ruby.c)
+	elseif("${WITH_RUBY}" STREQUAL "ON")
+		message(FATAL_ERROR "Ruby bindings requested, but Ruby could not found")
+	else()
+		message("Ruby not found, Ruby bindings will be disabled")
+	endif()
+else()
+	message("Ruby bindings disabled by user request")
+endif()
+
+# FUSE
+# Unlike Ruby which is largely optional, the primary use-case of Dislocker depends on FUSE,
+# so fail when its not found unless explicitly disabled by the user.
+option(WITH_FUSE "Enable FUSE support. Required for mounting BitLocker-encrypted volumes" ON)
+if(WITH_FUSE)
+	find_package (FUSE)
+	if(FUSE_FOUND  AND  FUSE_INCLUDE_DIRS  AND  FUSE_LIBRARIES)
+		include_directories (${FUSE_INCLUDE_DIRS})
+		if(FUSE_LIBRARY_DIRS)
+			link_directories(${FUSE_LIBRARY_DIRS})
+		endif()
+		set (LIB ${LIB} ${FUSE_LIBRARIES})
+	else()
+		message(FATAL_ERROR "FUSE not found. Please install FUSE, or configure Dislocker with -DWITH_FUSE=OFF")
+	endif()
+else()
+	message(WARNING "FUSE support is disabled, Dislocker will be unable to mount BitLocker-encrypted volumes!")
 endif()
 
 # Places
@@ -199,18 +219,22 @@
 
 set (CLEAN_FILES "")
 
-set (BIN_FUSE ${PROJECT_NAME}-fuse)
-add_executable (${BIN_FUSE} ${BIN_FUSE}.c)
-target_link_libraries (${BIN_FUSE} ${FUSE_LIB} ${PROJECT_NAME})
-set_target_properties (${BIN_FUSE} PROPERTIES COMPILE_DEFINITIONS FUSE_USE_VERSION=26)
-set_target_properties (${BIN_FUSE} PROPERTIES LINK_FLAGS "-pie -fPIE")
-add_custom_command (TARGET ${BIN_FUSE} POST_BUILD
-	COMMAND mkdir -p ${CMAKE_BINARY_DIR}/man/
-	COMMAND gzip -c ${DIS_MAN}/${BIN_FUSE}.1 > ${CMAKE_BINARY_DIR}/man/${BIN_FUSE}.1.gz
-)
-set (CLEAN_FILES ${CLEAN_FILES} ${CMAKE_BINARY_DIR}/man/${BIN_FUSE}.1.gz)
-install (TARGETS ${BIN_FUSE} RUNTIME DESTINATION "${bindir}")
-install (FILES ${CMAKE_BINARY_DIR}/man/${BIN_FUSE}.1.gz DESTINATION "${mandir}/man1")
+if(FUSE_FOUND)
+	set (BIN_FUSE ${PROJECT_NAME}-fuse)
+	add_executable (${BIN_FUSE} ${BIN_FUSE}.c)
+	target_link_libraries (${BIN_FUSE} ${FUSE_LIBBRARIES} ${PROJECT_NAME})
+	set_target_properties (${BIN_FUSE} PROPERTIES COMPILE_DEFINITIONS FUSE_USE_VERSION=26)
+	set_target_properties (${BIN_FUSE} PROPERTIES LINK_FLAGS "-pie -fPIE")
+	add_custom_command (TARGET ${BIN_FUSE} POST_BUILD
+		COMMAND mkdir -p ${CMAKE_BINARY_DIR}/man/
+		COMMAND gzip -c ${DIS_MAN}/${BIN_FUSE}.1 > ${CMAKE_BINARY_DIR}/man/${BIN_FUSE}.1.gz
+	)
+	set (CLEAN_FILES ${CLEAN_FILES} ${CMAKE_BINARY_DIR}/man/${BIN_FUSE}.1.gz)
+	install (TARGETS ${BIN_FUSE} RUNTIME DESTINATION "${bindir}")
+	install (FILES ${CMAKE_BINARY_DIR}/man/${BIN_FUSE}.1.gz DESTINATION "${mandir}/man1")
+	install (CODE "execute_process (COMMAND ${CMAKE_COMMAND} -E create_symlink ${BIN_FUSE} \"\$ENV{DESTDIR}${bindir}/${PROJECT_NAME}\")")
+	install (CODE "execute_process (COMMAND ${CMAKE_COMMAND} -E create_symlink ${BIN_FUSE}.1.gz \"\$ENV{DESTDIR}${mandir}/man1/${PROJECT_NAME}.1.gz\")")
+endif()
 
 set (BIN_FILE ${PROJECT_NAME}-file)
 add_executable (${BIN_FILE} ${BIN_FILE}.c)
@@ -256,9 +280,6 @@
 	set (BIN_FIND true)
 endif()
 
-install (CODE "execute_process (COMMAND ${CMAKE_COMMAND} -E create_symlink ${BIN_FUSE} \"\$ENV{DESTDIR}${bindir}/${PROJECT_NAME}\")")
-install (CODE "execute_process (COMMAND ${CMAKE_COMMAND} -E create_symlink ${BIN_FUSE}.1.gz \"\$ENV{DESTDIR}${mandir}/man1/${PROJECT_NAME}.1.gz\")")
-
 set_directory_properties(PROPERTIES ADDITIONAL_MAKE_CLEAN_FILES "${CLEAN_FILES}")
 
 # Travis' test target

=== debian/control ===
--- 
+++ 
@@ -1,25 +1,26 @@
 Source: dislocker
 Section: utils
 Priority: optional
-Maintainer: Steven Pusser <stevep@mxlinux.org>
-XSBC-Original-Maintainer: Debian Security Tools <team+pkg-security@tracker.debian.org>
+Maintainer: Debian Security Tools <team+pkg-security@tracker.debian.org>
 Uploaders: Giovani Augusto Ferreira <giovani@debian.org>
-Build-Depends: cmake,
-               debhelper-compat (=12),
+Build-Depends: dpkg-dev (>= 1.22.5), cmake,
+               debhelper-compat (=13),
                libfuse-dev | libfuse-hurd-dev,
                libmbedtls-dev,
+               pkgconf,
                ruby-dev
-Standards-Version: 4.5.1
+Standards-Version: 4.7.0
 Rules-Requires-Root: binary-targets
 Homepage: https://github.com/Aorimn/dislocker
 Vcs-Git: https://salsa.debian.org/pkg-security-team/dislocker.git
 Vcs-Browser: https://salsa.debian.org/pkg-security-team/dislocker
 
-Package: libdislocker0.7
+Package: libdislocker0.7t64
+Provides: ${t64:Provides}
 Section: libs
 Architecture: any
-Replaces: libdislocker0.6 (<< 0.7~)
-Breaks: libdislocker0.6 (<< 0.7~)
+Replaces: libdislocker0.7, libdislocker0.6 (<< 0.7~)
+Breaks: libdislocker0.7 (<< ${source:Version}), libdislocker0.6 (<< 0.7~)
 Depends: ${misc:Depends}, ${shlibs:Depends}
 Description: read/write encrypted BitLocker volumes (shared library)
  Dislocker has been designed to read BitLocker encrypted partitions under
@@ -39,7 +40,7 @@
 Package: libdislocker0-dev
 Architecture: any
 Section: libdevel
-Depends: libdislocker0.7 (= ${binary:Version}), ${misc:Depends}
+Depends: libdislocker0.7t64 (= ${binary:Version}), ${misc:Depends}
 Multi-Arch: foreign
 Description: read/write encrypted BitLocker volumes (development files)
  Dislocker has been designed to read BitLocker encrypted partitions under
@@ -58,7 +59,8 @@
 
 Package: dislocker
 Architecture: any
-Depends: ${misc:Depends}, ${shlibs:Depends}
+Depends: libdislocker0.7t64 (= ${binary:Version}),
+         ${misc:Depends}, ${shlibs:Depends}
 Recommends: ruby
 Description: read/write encrypted BitLocker volumes
  Dislocker has been designed to read BitLocker encrypted partitions under

=== debian/tests/control ===
Test-Command: dislocker-fuse -h 2>&1 && { dislocker-fuse -h 2>&1 | grep "^dislocker by Romain Coltel, v$(grep -m1 -o -E '[0-9]+(\.[0-9]+)+' debian/changelog)"; } 
Restrictions: superficial
